Retrieve the current token

- « Parle\RLexer::dump

- Parle\RLexer::insertMacro »

- PHP Manual
- Parle\RLexer
- Retrieve the current token

# Parle\RLexer::getToken

(PECL parle >= 0.5.1)

Parle\RLexer::getToken — Retrieve the current token

### Description

public Parle\RLexer::getToken(): Parle\Token

Retrive the current token.

### Parameters

This function has no parameters.

### Return Values

Returns an instance of Parle\Token.